summaryrefslogtreecommitdiffstats
path: root/tests/check_counters
diff options
context:
space:
mode:
authorJozsef Kadlecsik <kadlec@blackhole.kfki.hu>2013-04-04 16:32:20 +0200
committerJozsef Kadlecsik <kadlec@blackhole.kfki.hu>2013-04-09 21:42:16 +0200
commitfd9361feaafe075c50c2a2a2a627553d097cb1b3 (patch)
tree2628c04a8c329fe2ea102af0d882a01e61610bd8 /tests/check_counters
parent2222b6adb0be1bdffd58875c5c874e89b0aec4cd (diff)
Add new testsuite entries to verify counters and the new type implementations
Signed-off-by: Jozsef Kadlecsik <kadlec@blackhole.kfki.hu>
Diffstat (limited to 'tests/check_counters')
-rw-r--r--tests/check_counters9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/check_counters b/tests/check_counters
new file mode 100644
index 0000000..0099f23
--- /dev/null
+++ b/tests/check_counters
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+read ip p packets b bytes <<< $(../src/ipset l $1 | grep ^$2)
+test -z "$packets" -o -z "$bytes" && exit 1
+test $packets -ne $3 -o $bytes -ne $4 && exit 1
+exit 0
+
+
+